Package org.eclipse.m2m.atl.adt.runner

# Class ATLProperties

java.lang.Object
java.util.Dictionary<K,V>
java.util.Hashtable<Object,Object>
java.util.Properties
org.eclipse.m2m.atl.adt.runner.ATLProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`

public class ATLProperties extends Properties
Stores ATL launch parameters which are not provided by an ATL file.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LIBRARIES_ID`
The id of the libraries properties inside of the ATL property file.
`static final String`
`METAMODELS_ID`
The id of the metamodels properties inside of the ATL property file.
`static final String`
`MODULES_ID`
The id of the modules property inside of the ATL property file.
`static final String`
`OPTIONS_ID`
The id of the options properties inside of the ATL property file.

### Fields inherited from class java.util.Properties

`defaults`

## Constructor Summary

Constructors
Constructor
Description
`ATLProperties(org.eclipse.core.resources.IFile file)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.resources.IFile`
`getIFile()`
`Map<String,String>`
`getLibraryLocations()`
`Map<String,String>`
`getMetamodelLocations()`
`Map<String,String>`
`getOptions()`
`org.eclipse.core.resources.IFile[]`
`getTransformationFiles()`
Returns the transformation files.

### Methods inherited from class java.util.Properties

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, getProperty, getProperty, hashCode, isEmpty, keys, keySet, list, list, load, load, loadFromXML, merge, propertyNames, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### MODULES_ID

public static final String MODULES_ID
The id of the modules property inside of the ATL property file.

See Also:
  - Constant Field Values

### METAMODELS_ID

public static final String METAMODELS_ID
The id of the metamodels properties inside of the ATL property file.

See Also:
  - Constant Field Values

### LIBRARIES_ID

public static final String LIBRARIES_ID
The id of the libraries properties inside of the ATL property file.

See Also:
  - Constant Field Values

### OPTIONS_ID

public static final String OPTIONS_ID
The id of the options properties inside of the ATL property file.

See Also:
  - Constant Field Values

## Constructor Details

### ATLProperties

public ATLProperties(org.eclipse.core.resources.IFile file) throws IOException, org.eclipse.core.runtime.CoreException
Constructor.

Parameters:
  `file` - the property file
Throws:
  `IOException`
  `org.eclipse.core.runtime.CoreException`

## Method Details

### getIFile

public org.eclipse.core.resources.IFile getIFile()

### getMetamodelLocations

public Map<String,String> getMetamodelLocations()

### getOptions

public Map<String,String> getOptions()

### getLibraryLocations

public Map<String,String> getLibraryLocations()

### getTransformationFiles

public org.eclipse.core.resources.IFile[] getTransformationFiles()
Returns the transformation files.

Returns:
  the transformation files